Debian Bug report logs - #584718
ITP: nesc -- A Programming Language for Deeply Networked Systems

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Razvan Musaloiu-E." <razvan@musaloiu.com>

Date: Sat, 5 Jun 2010 23:46:31 UTC

Owned by: "Razvan Musaloiu-E." <razvan@musaloiu.com>

Severity: wishlist

Fixed in version nescc/1.3.4-1

Done: Sebastian Reichel <sre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#584718; Package wnpp. (Sat, 05 Jun 2010 23:46:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Razvan Musaloiu-E." <razvan@musaloiu.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 05 Jun 2010 23:46:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Razvan Musaloiu-E." <razvan@musaloiu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: nesc -- A Programming Language for Deeply Networked Systems
Date: Fri, 04 Jun 2010 21:38:49 -0700
Package: wnpp
Severity: wishlist
Owner: "Razvan Musaloiu-E." <razvan@musaloiu.com>

* Package name    : nesc
  Version         : 1.3.1
  Upstream Author : David Gay <idgay@users.sourceforge.net>
* URL             : http://http://nescc.sourceforge.net
* License         : GPL
  Programming Lang: C
  Description     : A Programming Language for Deeply Networked Systems

nesC (pronounced "NES-see") is an extension to the C programming language
designed to embody the structuring concepts and execution model of TinyOS.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Razvan Musaloiu-E." <razvan@musaloiu.com>:
Bug#584718; Package wnpp. (Sat, 19 Feb 2011 17:19:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Razvan Musaloiu-E." <razvan@musaloiu.com>. (Sat, 19 Feb 2011 17:19:47 GMT) Full text and rfc822 format available.

Message #10 received at 584718@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 584718@bugs.debian.org
Cc: control@bugs.debian.org
Subject: nesc: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:08:03 +0000
retitle 584718 RFP: nesc -- A Programming Language for Deeply Networked Systems
noowner 584718
thanks

Hi,

This is an automatic email to change the status of nesc back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting nesc, please send a mail to
<control@bugs.debian.org> with:

 retitle 584718 ITP: nesc -- A Programming Language for Deeply Networked Systems
 owner 584718 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <584718@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: nesc -- A Programming Language for Deeply Networked Systems' from 'ITP: nesc -- A Programming Language for Deeply Networked Systems' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:22:29 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Razvan Musaloiu-E." <razvan@musaloiu.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:22:29 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: nesc -- A Programming Language for Deeply Networked Systems' from 'RFP: nesc -- A Programming Language for Deeply Networked Systems' Request was from "Razvan Musaloiu-E." <razvan@musaloiu.com> to control@bugs.debian.org. (Sat, 19 Feb 2011 19:15:08 GMT) Full text and rfc822 format available.

Owner recorded as "Razvan Musaloiu-E." <razvan@musaloiu.com>. Request was from "Razvan Musaloiu-E." <razvan@musaloiu.com> to control@bugs.debian.org. (Sat, 19 Feb 2011 19:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Razvan Musaloiu-E." <razvan@musaloiu.com>:
Bug#584718; Package wnpp. (Wed, 16 May 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <sre@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Razvan Musaloiu-E." <razvan@musaloiu.com>. (Wed, 16 May 2012 21:42:04 GMT) Full text and rfc822 format available.

Message #23 received at 584718@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: 584718@bugs.debian.org
Subject: nescc package
Date: Wed, 16 May 2012 23:12:05 +0200
[Message part 1 (text/plain, inline)]
Hi,

I recently needed nescc @ university and packaged it for Debian. The
result can be found here:

http://anonscm.debian.org/gitweb/?p=collab-maint/nescc.git;a=summary

It can't be uploaded to Debian before the license of some files has
been updated, though. The following files are licensed under
4-clause-BSD license, while almost all other files are GPL licensed:

* src/dhash.c
* src/dhash.h
* src/libcompat/alloc.c
* src/libcompat/pages.c
* src/libcompat/regions.c
* src/libcompat/regions.h

GPL and 4-clause-BSD license are incompatible, so the resulting
binary is undistributable.

I opened an upstream bug, which can be found on sourceforge:

http://sourceforge.net/tracker/?func=detail&aid=3519555&group_id=56288&atid=480036

-- Sebastian
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Reichel <sre@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 23:03:09 GMT) Full text and rfc822 format available.

Notification sent to "Razvan Musaloiu-E." <razvan@musaloiu.com>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 23:03:09 GMT) Full text and rfc822 format available.

Message #30 received at 584718-close@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: 584718-close@bugs.debian.org
Subject: Bug#584718: fixed in nescc 1.3.4-1
Date: Wed, 14 Nov 2012 23:00:10 +0000
Source: nescc
Source-Version: 1.3.4-1

We believe that the bug you reported is fixed in the latest version of
nescc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584718@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Reichel <sre@debian.org> (supplier of updated nescc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 25 Oct 2012 13:17:39 +0200
Source: nescc
Binary: nescc
Architecture: source amd64
Version: 1.3.4-1
Distribution: unstable
Urgency: low
Maintainer: Sebastian Reichel <sre@debian.org>
Changed-By: Sebastian Reichel <sre@debian.org>
Description: 
 nescc      - Programming Language for Deeply Networked Systems
Closes: 584718
Changes: 
 nescc (1.3.4-1) unstable; urgency=low
 .
   * Initial Debian Release (Closes: #584718)
Checksums-Sha1: 
 3ca3937268c872e8fdc232bae9cce5df7bf3b41a 1850 nescc_1.3.4-1.dsc
 efcc4b7ce9eff105910431f88771eda548cd1ca7 2670690 nescc_1.3.4.orig.tar.gz
 421a73745b1fb78cbc2b569d21f61db9d745d82e 6195 nescc_1.3.4-1.debian.tar.gz
 9e45da968a75bf1a2a3f4edc30ad90b2035a7af6 866926 nescc_1.3.4-1_amd64.deb
Checksums-Sha256: 
 85cbb1a92ebadd4767db92ca2e2423ba6562b171a290e65ffe28b8bf878d5df5 1850 nescc_1.3.4-1.dsc
 bb41a75ee6f686739e91726987cfbd77100539db0f55c4c39563228acaa11c03 2670690 nescc_1.3.4.orig.tar.gz
 0f806830cf5711789cbeee9fc8dbe3a1121fe84077b531310fcac810f73af449 6195 nescc_1.3.4-1.debian.tar.gz
 ae8d2c1d92903be49b36d165ea0ff3db9a358e784202114e22891c3e667f9fac 866926 nescc_1.3.4-1_amd64.deb
Files: 
 4c6034f565faca1621a8112d8810aee2 1850 devel optional nescc_1.3.4-1.dsc
 d2da212e6f2c8e96bc7babd0e3c0013b 2670690 devel optional nescc_1.3.4.orig.tar.gz
 fecbd64cd49c2cfefbaac6b9506a397d 6195 devel optional nescc_1.3.4-1.debian.tar.gz
 4d13dfed6ce884935f420ae32974fa96 866926 devel optional nescc_1.3.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQiSFQAAoJENju1/PIO/qa3P8P/RyWJw9nCs1EOI1uBvGKVboD
nzWFRtKg5lUOIdvt7JwIjmsG/e5HSTn4f7h0AxIxumRwfiLALauBM7opWumUwhJE
EBYhD6pkVVFSCFRPackFmwncSQGKBfoibTUL69Rq+76VwuKV1bcmzDeJaYptkR6H
RrHvy1Hvmrr4seOA0r2OJFz1YRtdFvymDLEecBc1o4TB/Cq8+BgnZkTzRWQbIu6y
ofaRUUFdfeWQPfsqMnXJjbAfDdZUsVywcdqKk4o3S0bL9Yzyu12SwjOZyFW+S7Pp
4glYUZEexrnYiBFc/udCOZdXjfLOdiSzBV263WyLrxp5bLDxqkEhrT44Rhyfj5Z9
ikWcg1VMk/A2i5IhUI59NZmdBaxYRp6L5Hr2/pOIdTRLhlaqJd//eLwBC2eW92pO
TXhLA4MIQT2YLMh8fmblT54xWLhGXlNrnJrTpkiJ1Vtkv8tmEIzJR3CEi3VMDBcr
l5TsNIwHfwGo5yfMHE22Dia6oc9ylaFoug27M3RWDTDYbEYkKYx0kB0tMygQbDgF
7uzcecMDZjs3rVQhVNQYV+jn0w3CcbiYRHAsStKurjlOM53PItBWql82/wTcauxR
8BMdcz6n9HdHQAWw1gJX5FWlJNDzRt4ToVds7JSZ7y3m++nNPkrt/3fXXb4Ni5We
aLEHGJPMu7DU3koN0o5V
=Fy5m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:46:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.